Name:		gtg
Version:	0.3
Release:	%mkrel 4
Group:		Office/Organizer
License:	GPLv3
Summary:	Organizer for the GNOME desktop environment
Source0:	http://launchpad.net/gtg/0.3/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		gtg-0.3-fix-desktop-file.patch
URL:		http://gtg.fritalk.com/
BuildRequires:	pyxdg
BuildRequires:	python-devel
Requires:	python-configobj
Requires:	python-simplejson
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	pyxdg
Requires:	python-gobject
Requires:	liblarch >= 2.1.0

# For RTM backend
Suggests:	python-dateutil
# For Mantis backend
Suggests:	python-suds
# For Bugzilla plugin
Suggests:	python-bugz

%description
Getting Things Gnome! is an organizer for the GNOME desktop environment.

GTG focuses on usability and ease of use. Its main objective is to
provide a simple, powerful and flexible organization tool to the
GNOME desktop environment.

GTG uses a very handy text edition system for task creation and edition.
The task editor can automatically recognize meta-data such as tags
and subtasks only by the use of a very simple syntax.
If you wanna know more about this, please read Getting Started With GTG.

%prep
%setup -q
%apply_patches

%build
#nothing to do

%install
python setup.py install --root %{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README CHANGELOG
%{_bindir}/%{name}*
%{_bindir}/gtcli
%{_datadir}/%{name}
%{_datadir}/help/C/%{name}/*
%{_mandir}/man1/gtg*
%{_mandir}/man1/gtcli*
%{python_sitelib}/GTG
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.GTG.service
%{_iconsdir}/hicolor/*/apps/gtg.*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3-4.mga4
+ Revision: 542658
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.3-3.mga4
+ Revision: 497769
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.3-2.mga3
+ Revision: 352795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 mitya <mitya> 0.3-1.mga3
+ Revision: 316499
- New version 0.3

* Mon Aug 06 2012 wally <wally> 0.2.9-2.mga3
+ Revision: 279450
- require liblarch-gtk (mga#6961)

* Thu Aug 02 2012 wally <wally> 0.2.9-1.mga3
+ Revision: 277955
- add patch to fix and remove unneeded Ayatana parts from desktop file
- new version 0.2.9
- fix summary
- clean spec a bit

* Mon Mar 28 2011 wally <wally> 0.2.4-3.mga1
+ Revision: 78252
- drop buildroot definition
- change group to Office
- clean .spec a bit
- imported package gtg


* Sat Nov 20 2010 Jani Välimaa <wally@mandriva.org> 0.2.4-3mdv2011.0
+ Revision: 599310
- add missing requires
- fix source tag
- fix typo in description
- fix install
- fix file list (don't own system dirs)

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.2.4-2mdv2011.0
+ Revision: 592472
- fix for python 2.7
- rebuild for python 2.7

* Mon Apr 12 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.4-1mdv2010.1
+ Revision: 533677
- new version 0.2.4

* Sat Mar 13 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.2-2mdv2010.1
+ Revision: 518750
- Better summary
- correct handling of lang files
- correct handling of man file

* Sat Mar 13 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.2-1mdv2010.1
+ Revision: 518618
- New version 0.2.2

* Sun Dec 20 2009 Olivier Faurax <ofaurax@mandriva.org> 0.2-1mdv2010.1
+ Revision: 480451
- version 0.2.0 -> 0.2 + new binay gtg_new_task
- new version: GTG 0.2.0

* Sun Dec 20 2009 Olivier Faurax <ofaurax@mandriva.org> 0.1.9-1mdv2010.1
+ Revision: 480300
- Added correct lib dir
- Missing python-devel
- Remove noarch, seems something is arch specific
- Missing pyxdg dependency (2)
- Setting as noarch
- Missing pyxdg dependency
- import gtg


